Bug 1314482 - Inconsistent headings in 'lvs' output for cache
Summary: Inconsistent headings in 'lvs' output for cache
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Alasdair Kergon
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-03 17:31 UTC by Jonathan Earl Brassow
Modified: 2016-11-04 04:19 UTC (History)
8 users (show)

Fixed In Version: lvm2-2.02.152-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-04 04:19:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1445 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2016-11-03 13:46:41 UTC

Description Jonathan Earl Brassow 2016-03-03 17:31:39 UTC
[root@bp-01 ~]# lvs -o name,cache_mode,cache_policy,cache_dirty_blocks vg
  LV   Cachemode    Cache Policy CacheDirtyBlocks
  lv   writethrough cleaner                     0

Three different header types: Cachemode, Cache Policy, CacheDirtyBlocks

Should be: CacheMode, CachePolicy, CacheDirtyBlocks

Comment 1 Jonathan Earl Brassow 2016-03-03 17:32:46 UTC
While I'm at it...

[root@bp-01 ~]# lvs -o barf 2>&1 | grep cache
    lv_metadata_size       - For thin and cache pools, the size of the LV that holds the metadata.
    data_lv                - For thin and cache pools, the LV holding the associated data.
    metadata_lv            - For thin and cache pools, the LV holding the associated metadata.
    cache_total_blocks     - Total cache blocks.
    cache_used_blocks      - Used cache blocks.
    cache_dirty_blocks     - Dirty cache blocks.
    cache_read_hits        - Cache read hits.
    cache_read_misses      - Cache read misses.
    cache_write_hits       - Cache write hits.
    cache_write_misses     - Cache write misses.
    cachemode              - For cache pools, how writes are cached.
    cache_policy           - The cache policy (cached segments only).
    cache_settings         - Cache settings/parameters (cached segments only).


'cachemode' should be 'cache_mode'

Comment 4 Mike McCune 2016-03-28 22:11:59 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 6 Corey Marthaler 2016-06-09 19:59:41 UTC
Verified in the latest rpms.

3.10.0-419.el7.x86_64

lvm2-2.02.152-2.el7    BUILT: Thu May  5 02:33:28 CDT 2016
lvm2-libs-2.02.152-2.el7    BUILT: Thu May  5 02:33:28 CDT 2016
lvm2-cluster-2.02.152-2.el7    BUILT: Thu May  5 02:33:28 CDT 2016
device-mapper-1.02.124-2.el7    BUILT: Thu May  5 02:33:28 CDT 2016
device-mapper-libs-1.02.124-2.el7    BUILT: Thu May  5 02:33:28 CDT 2016
device-mapper-event-1.02.124-2.el7    BUILT: Thu May  5 02:33:28 CDT 2016
device-mapper-event-libs-1.02.124-2.el7    BUILT: Thu May  5 02:33:28 CDT 2016
device-mapper-persistent-data-0.6.2-0.1.rc8.el7    BUILT: Wed May  4 02:56:34 CDT 2016
cmirror-2.02.152-2.el7    BUILT: Thu May  5 02:33:28 CDT 2016
sanlock-3.3.0-1.el7    BUILT: Wed Feb 24 09:52:30 CST 2016
sanlock-lib-3.3.0-1.el7    BUILT: Wed Feb 24 09:52:30 CST 2016
lvm2-lockd-2.02.152-2.el7    BUILT: Thu May  5 02:33:28 CDT 2016



# cache headers are correct
[root@host-084 ~]# lvs -a -o +devices,cache_mode,cache_policy,cache_dirty_blocks
  LV                    VG            Attr       LSize  Pool   Data% Meta%  Cpy%Sync Devices                CacheMode CachePolicy CacheDirtyBlocks
  display_cache         cache_sanity  Cwi-a-C---  4.00g [pool] 0.00  8.66   100.00   display_cache_corig(0) writeback smq                        0
  [display_cache_corig] cache_sanity  owi-aoC---  4.00g                              /dev/sdb1(0)
  [lvol0_pmspare]       cache_sanity  ewi------- 12.00m                              /dev/sdc1(0)
  [pool]                cache_sanity  Cwi---C---  4.00g        0.00  8.66   100.00   pool_cdata(0)          writeback smq
  [pool_cdata]          cache_sanity  Cwi-ao----  4.00g                              /dev/sda1(0)
  [pool_cmeta]          cache_sanity  ewi-ao---- 12.00m                              /dev/sda1(1024)


# cache_mode is correct
[root@host-084 ~]# lvs -o barf 2>&1 | grep cache
    lv_metadata_size       - For thin and cache pools, the size of the LV that holds the metadata.
    data_lv                - For thin and cache pools, the LV holding the associated data.
    data_lv_uuid           - For thin and cache pools, the UUID of the LV holding the associated data.
    metadata_lv            - For thin and cache pools, the LV holding the associated metadata.
    metadata_lv_uuid       - For thin and cache pools, the UUID of the LV holding the associated metadata.
    cache_total_blocks     - Total cache blocks.
    cache_used_blocks      - Used cache blocks.
    cache_dirty_blocks     - Dirty cache blocks.
    cache_read_hits        - Cache read hits.
    cache_read_misses      - Cache read misses.
    cache_write_hits       - Cache write hits.
    cache_write_misses     - Cache write misses.
    kernel_cache_settings  - Cache settings/parameters as set in kernel, including default values (cached segments only).
    kernel_cache_policy    - Cache policy used in kernel.
    cache_mode             - For cache pools, how writes are cached.
    cache_policy           - The cache policy (cached segments only).
    cache_settings         - Cache settings/parameters (cached segments only).

Comment 8 errata-xmlrpc 2016-11-04 04:19:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1445.html


Note You need to log in before you can comment on or make changes to this bug.